package com.yiboshi.science.param.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 附件表DTO
 * 
 * @author lkl
 * @version 2021-08-25
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "附件表DTO")
public class ComDownloadDTO extends BaseDTO {
    /** URL */
    @ApiModelProperty(value = "URL", position = 1)
    private String downloadUrl;
    /** 附件名 */
    @ApiModelProperty(value = "附件名", position = 2)
    @Length(max=100, message = "附件名长度不能大于100")
    private String fileName;
    /** 后缀 */
    @ApiModelProperty(value = "后缀", position = 3)
    private String extension;
    /** 附件说明 */
    @ApiModelProperty(value = "附件说明", position = 3)
    private String fileExplain;
}