package com.yiboshi.science.param.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "评审记录表DTO")
public class ComEvaluationNoteDTO extends BaseDTO {
    /** 评审表Id */
    @ApiModelProperty(value = "评审表Id", position = 2)
    @Length(max=36, message = "评审表Id不能大于36")
    private String evaluationId;
    /** 创建人Id */
    @ApiModelProperty(value = "创建人Id", position = 3)
    @Length(max=36, message = "创建人Id不能大于36")
    private String createId;
    /** 评审对象Id */
    @ApiModelProperty(value = "评审对象Id", position = 4)
    @Length(max=36, message = "评审对象Id不能大于36")
    private String objectId;
    /** 得分 */
    @ApiModelProperty(value = "得分", position = 5)
    private BigDecimal score;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 6)
    @Length(max=200, message = "备注不能大于200")
    private String remark;
}
