package com.yiboshi.science.param.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 年度设置表DTO
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "年度设置表DTO")
public class ComYearDTO extends BaseDTO {
    /** 年度 */
    @ApiModelProperty(value = "年度")
    private Integer reportYear;
    /** 单位code */
    @ApiModelProperty(value = "单位code", position = 1)
    private String unitCode;
    /** 类型 1项目 2任务书 3中期考核 */
    @ApiModelProperty(value = "类型 1项目 2任务书 3中期考核", position = 2)
    private Integer yearType;
    /** 开始时间 */
    @ApiModelProperty(value = "开始时间", position = 3)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /** 结束时间 */
    @ApiModelProperty(value = "结束时间", position = 4)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 5)
    @Length(max=200, message = "备注长度不能大于200")
    private String remark;
    /** 中期考核年度 例：2018,2019 */
    @ApiModelProperty(value = "中期考核年度 例：2018,2019", position = 6)
    private String checkYear;

    /**  */
    @ApiModelProperty(value = "", position = 6)
    private boolean disabled;
    /** 提示语 */
    @ApiModelProperty(value = "提示语", position = 6)
    private String description;
}